Unit tafh3c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFH3C_p;

function tafh3c: String;

implementation

function tafh3c: String;
var
_i,N,IERR :Integer;
IR :Array [0..9] of Integer;
R :Array [0..9] of Real;
const
A :Array [0..9] of Complex = ( ( re:1.0; im:0.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:0.0 ),( re:2.0; im:1.0 ),( re:2.0; im:1.0 ),( 
re:1.0; im:0.0 ),( re:3.0; im:1.0 ),( re:3.0; 
im:1.0 ),( re:3.0; im:1.0 ),( re:1.0; im: 0.0 ) );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
N := 4;
AFH3C(A,N,IR,R,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%5d ',[IR[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafh3c',Result);  {     tafh3c.res }
exit;
end;

end.
